package com.jeeplus.modules.wexinpackage.access.entity;

public class WeChatUser {
    private String errcode;//状态码
    private String errmsg;
    private String userid;//唯一标识=登录名 成员UserID
    private String name;//姓名 成员名称
    private int department;//部门 成员部门列表，仅返回该应用有查看权限的部门id
    private String mobile;//手机号 手机号码
    private String email;//邮箱
    private String position;//职位 职位信息。长度为0~64个字节
    private String gender;//性别 性别，1表示男性，2表示女性
    private String avatar;// 头像url。注：如果要获取小图将url最后的”/0”改成”/100”即可。
    private String status;// 激活状态：1=已激活 2=已禁用 4=未激活 已激活代表已激活企业微信或已关注微工作台（原企业号）
    private String isleader;//是否领导 表示所在部门是否为上级，0-否，1-是，顺序与Department字段的部门逐一对应
    private String telephone;//座机 座机
    private String enable;//是否启用
    private String hide_mobile;//
    private String order;//
    private String external_profile;//
    private String qr_code;
    private String alias;//别名 成员别名
    private String is_leader_in_dept;
    private String address;//地址 地址
    private String thumb_avatar;

    public String getErrcode() {
        return errcode;
    }

    public void setErrcode(String errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getDepartment() {
        return department;
    }

    public void setDepartment(int department) {
        this.department = department;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsleader() {
        return isleader;
    }

    public void setIsleader(String isleader) {
        this.isleader = isleader;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }

    public String getHide_mobile() {
        return hide_mobile;
    }

    public void setHide_mobile(String hide_mobile) {
        this.hide_mobile = hide_mobile;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getExternal_profile() {
        return external_profile;
    }

    public void setExternal_profile(String external_profile) {
        this.external_profile = external_profile;
    }

    public String getQr_code() {
        return qr_code;
    }

    public void setQr_code(String qr_code) {
        this.qr_code = qr_code;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getIs_leader_in_dept() {
        return is_leader_in_dept;
    }

    public void setIs_leader_in_dept(String is_leader_in_dept) {
        this.is_leader_in_dept = is_leader_in_dept;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getThumb_avatar() {
        return thumb_avatar;
    }

    public void setThumb_avatar(String thumb_avatar) {
        this.thumb_avatar = thumb_avatar;
    }
}
